version: "3.8"

services:
  web:
    build: ./project
    command: uvicorn app.main:app --reload --workers 1 --host 0.0.0.0 --port 8000
    depends_on:
      - web-db
    environment:
      - DATABASE_URL=postgres://postgres:postgres@web-db:5432/web_dev
      - DATABASE_TEST_URL=postgres://postgres:postgres@web-db:5432/web_test
      - ENVIRONMENT=dev
      - TESTING=0
    ports:
      - 8000:8000
    volumes:
      - ./project:/usr/src/app

  web-db:
    build:
      context: ./project/db
      dockerfile: Dockerfile
    environment:
      - POSTGRES_PASSWORD=postgres
      - POSTGRES_USER=postgres
    ports:
      - 5432:5432